: Class IndexTableRowset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ModSQL
Class IndexTableRowset

    java.lang.Object
      |
      +--ModSQL.IndexTableRowset

All Implemented Interfaces:
  Serializable

class IndexTableRowset
extends Object
implements Serializable

Each object describes a set of rows in a table. The set of rows is described by one or more rowids and a count of the number of rows including and following the specified row. That is, count n associated with rowid r specifies the n rows beginning at rowid.

Author:
  chris.studholme@utoronto.ca
See Also:
  Serialized Form

Field Summary
`long[]` | `count` Array of counts (number of rows beginning with rowid).
`protected ArrayList` | `count_array` Temporary array of counts.
`Object[]` | `rowid` Array of rowids.
`protected ArrayList` | `rowid_array` Temporary array of rowids.

Constructor Summary
`IndexTableRowset(Object rowid, long count)` Constructor requiring an initial rowid and count.

Method Summary
`void` | `add(Object rowid, long count)` Add count rows starting at rowid.
`void` | `finish()` Finish rowset by setting static arrays rowid and count.
`void` | `mergeWith(IndexTableRowset o)` Merge another rowset with this one.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### rowid

    public Object[] rowid

  Array of rowids.

### count

    public long[] count

  Array of counts (number of rows beginning with rowid).

### rowid_array

    protected transient ArrayList rowid_array

  Temporary array of rowids. Only used when building rowset.

### count_array

    protected transient ArrayList count_array

  Temporary array of counts. Only used when building rowset.

Constructor Detail

### IndexTableRowset

    public IndexTableRowset(Object rowid,
                            long count)

  Constructor requiring an initial rowid and count.
  Parameters:
    `rowid` - first row
    `count` - number of rows

Method Detail

### add

    public void add(Object rowid,
                    long count)

  Add count rows starting at rowid.
  Parameters:
    `rowid` - first row
    `count` - number of rows

### mergeWith

    public void mergeWith(IndexTableRowset o)

  Merge another rowset with this one.
  Parameters:
    `o` - other rowset

### finish

    public void finish()

  Finish rowset by setting static arrays rowid and count.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD